Bug 969108 - [abrt] WARNING: at kernel/lockdep.c:708 __lock_acquire+0x1a50/0x1b30()
[abrt] WARNING: at kernel/lockdep.c:708 __lock_acquire+0x1a50/0x1b30()
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:bf52eb8ed6a7faf2548424be549...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 12:37 EDT by Clemens Eisserer
Modified: 2013-05-31 06:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 06:12:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (70.44 KB, text/plain)
2013-05-30 12:37 EDT, Clemens Eisserer
no flags Details

  None (edit)
Description Clemens Eisserer 2013-05-30 12:37:48 EDT
Description of problem:
ran a NFS-trace replay tool to reproduce other issues with BTRFS, when this happend.

Additional info:
reporter:       libreport-2.1.4
WARNING: at kernel/lockdep.c:708 __lock_acquire+0x1a50/0x1b30()
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables rfcomm ip6table_filter ip6_tables bnep mmc_block iTCO_wdt iTCO_vendor_support dell_wmi sparse_keymap ppdev snd_hda_codec_hdmi snd_hda_codec_idt mperf coretemp kvm_intel kvm dell_laptop dcdbas microcode arc4 cdc_mbim uvcvideo iwldvm videobuf2_vmalloc videobuf2_memops videobuf2_core mac80211 cdc_ncm videodev usbnet media mii cdc_wdm cdc_acm iwlwifi btusb bluetooth snd_hda_intel cfg80211 sdhci_pci sdhci rfkill i2c_i801 lpc_ich mmc_core snd_hda_codec mfd_core snd_hwdep snd_seq snd_seq_device snd_pcm e1000e snd_page_alloc snd_timer snd soundcore ptp pps_core wmi parport_pc parport binfmt_misc uinput dm_crypt btrfs libcrc32c xor zlib_deflate crc32_pclmul crc32c_intel raid6_pq ghash_clmulni_intel i915 i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 2 PID: 2718 Comm: btrfs-cleaner Not tainted 3.10.0-0.rc2.git3.1.fc20.x86_64 #1
Hardware name: Dell Inc. Latitude E6320/050F4T, BIOS A08 10/18/2011
 0000000000000009 ffff8801c288ba38 ffffffff817163eb ffff8801c288ba70
 ffffffff810676d1 0000000000000002 ffff88021caca5a0 ffffffff8261ad80
 ffff8800938dbd90 0000000000000000 ffff8801c288ba80 ffffffff810677aa
Call Trace:
 [<ffffffff817163eb>] dump_stack+0x19/0x1b
 [<ffffffff810676d1>] warn_slowpath_common+0x61/0x80
 [<ffffffff810677aa>] warn_slowpath_null+0x1a/0x20
 [<ffffffff810db3e0>] __lock_acquire+0x1a50/0x1b30
 [<ffffffff8101fd69>] ? sched_clock+0x9/0x10
 [<ffffffff810acb15>] ? sched_clock_cpu+0xb5/0x100
 [<ffffffff810d9c85>] ? __lock_acquire+0x2f5/0x1b30
 [<ffffffff8101fd69>] ? sched_clock+0x9/0x10
 [<ffffffff810acb15>] ? sched_clock_cpu+0xb5/0x100
 [<ffffffff810dbcb2>] lock_acquire+0xa2/0x1f0
 [<ffffffffa01dc654>] ? btrfs_tree_lock+0x104/0x270 [btrfs]
 [<ffffffff8171e536>] _raw_write_lock+0x46/0x80
 [<ffffffffa01dc654>] ? btrfs_tree_lock+0x104/0x270 [btrfs]
 [<ffffffffa01dc654>] btrfs_tree_lock+0x104/0x270 [btrfs]
 [<ffffffffa01c644a>] ? find_extent_buffer+0xda/0x1f0 [btrfs]
 [<ffffffffa0190500>] do_walk_down+0xf0/0x530 [btrfs]
 [<ffffffff8101fd69>] ? sched_clock+0x9/0x10
 [<ffffffff810acb15>] ? sched_clock_cpu+0xb5/0x100
 [<ffffffffa0190a06>] walk_down_tree+0xc6/0x100 [btrfs]
 [<ffffffffa0193183>] btrfs_drop_snapshot+0x3d3/0x690 [btrfs]
 [<ffffffffa01a7564>] btrfs_clean_one_deleted_snapshot+0xd4/0x160 [btrfs]
 [<ffffffffa019d780>] cleaner_kthread+0x140/0x180 [btrfs]
 [<ffffffffa019d640>] ? check_leaf.isra.39+0x310/0x310 [btrfs]
 [<ffffffff81095ced>] kthread+0xed/0x100
 [<ffffffff81095c00>] ? insert_kthread_work+0x80/0x80
 [<ffffffff81727d6c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81095c00>] ? insert_kthread_work+0x80/0x80
Comment 1 Clemens Eisserer 2013-05-30 12:37:57 EDT
Created attachment 754964 [details]
File: dmesg
Comment 2 Clemens Eisserer 2013-05-31 06:12:57 EDT
filed an upstream bug: https://bugzilla.kernel.org/show_bug.cgi?id=59061

Note You need to log in before you can comment on or make changes to this bug.